;/****************************************************************
;KPIT Cummins Infosystems Ltd, Pune, India. 25-Oct-2005.
;
;This program is distributed in the hope that it will be useful,
;but WITHOUT ANY WARRANTY; without even the implied warranty of
;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
;
;*****************************************************************/


; Fixed Vector Table

	 .section	.vects,"a",@progbits
	 .type	_HardwareVectors, @object
	 .size	_HardwareVectors, 36
_HardwareVectors:
 
    .long    _UndefinedInstruction_ISR
    .long    _Overflow_ISR
    .long    _BRK_Instruction_ISR
    .long    _AddressMatch_ISR
    .long    _SingleStep_ISR
    .long    _WatchdogTimer_ISR
    .long    _DBC_ISR
    .long    _NMI_ISR
	.long     (_start + 0xFF000000) 	;Reset ISR



; Variable Vector Table 

	 .section	.var_vects,"a",@progbits
	 .type	_VariableVectors, @object
	 .size	_VariableVectors, 256

 _VariableVectors:
    .long    _BRK_ISR
    .long    0    	    ;Reserved 1
    .long    0    	    ;Reserved 2
    .long    0    	    ;Reserved 3
    .long    _INT3_ISR
    .long    _TimerB5_ISR
    .long    _TimerB4_UART1BUS_COLLISION_ISR
    .long    _TimerB3_UART0BUS_COLLISION_ISR
    .long    _SI04_INT5_ISR
    .long    _SI03_INT4_ISR
    .long    _UART2BUS_COLLISION_ISR
    .long    _DMA0_ISR
    .long    _DMA1_ISR
    .long    _KeyInput_ISR
    .long    _AD_CONVERTER_ISR
    .long    _UART2_transmit_ISR
    .long    _UART2_recv_ISR
    .long    _UART0_transmit_ISR
    .long    _UART0_recv_ISR
    .long    _UART1_transmit_ISR
    .long    _UART1_recv_ISR
    .long    _TimerA0_ISR
    .long    _TimerA1_ISR
    .long    _TimerA2_ISR
    .long    _TimerA3_ISR
    .long    _TimerA4_ISR
    .long    _TimerB0_ISR
    .long    _TimerB1_ISR
    .long    _TimerB2_ISR
    .long    _INT0_ISR
    .long    _INT1_ISR
    .long    _INT2_ISR
    .long    _SoftwareInt32_ISR
    .long    _SoftwareInt33_ISR
    .long    _SoftwareInt34_ISR
    .long    _SoftwareInt35_ISR
    .long    _SoftwareInt36_ISR
    .long    _SoftwareInt37_ISR
    .long    _SoftwareInt38_ISR
    .long    _SoftwareInt39_ISR
    .long    _SoftwareInt40_ISR
    .long    _SoftwareInt41_ISR
    .long    _SoftwareInt42_ISR
    .long    _SoftwareInt43_ISR
    .long    _SoftwareInt44_ISR
    .long    _SoftwareInt45_ISR
    .long    _SoftwareInt46_ISR
    .long    _SoftwareInt47_ISR
    .long    _SoftwareInt48_ISR
    .long    _SoftwareInt49_ISR
    .long    _SoftwareInt50_ISR
    .long    _SoftwareInt51_ISR
    .long    _SoftwareInt52_ISR
    .long    _SoftwareInt53_ISR
    .long    _SoftwareInt54_ISR
    .long    _SoftwareInt55_ISR
    .long    _SoftwareInt56_ISR
    .long    _SoftwareInt57_ISR
    .long    _SoftwareInt58_ISR
    .long    _SoftwareInt59_ISR
    .long    _SoftwareInt60_ISR
    .long    _SoftwareInt61_ISR
    .long    _SoftwareInt62_ISR
    .long    _SoftwareInt63_ISR

 .end 
